routes/web.php
<?php

use App\Http\Controllers\AdminBookingController;
use App\Http\Controllers\BookController;
use App\Http\Controllers\BookingAdminController;
use App\Http\Controllers\BookingController;
use App\Http\Controllers\BorrowController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\StudentBorrowController;
use App\Http\Controllers\UserController;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// student start
    // home
    Route::get('/', [HomeController::class, 'index'])->name('home');
    Route::get('home/show/{id}', [HomeController::class, 'show'])->name('home.user.show');
    Route::get('studentborrow', [StudentBorrowController::class, 'index'])->name('studentborrow.index');

    // booking
    Route::resource('booking', BookingController::class);
// student end

// admin start
    // dashboard
    Route::get('dashboard', [DashboardController::class, 'index'])->name('dashboard')->middleware('is_admin');

    // buku
    Route::resource('book', BookController::class)->middleware('is_admin');

    // category
    Route::resource('category', CategoryController::class)->middleware('is_admin');

    // borrow
    Route::get('borrow/{any}', [BorrowController::class, 'index'])->name('borrow.index')->middleware('is_admin');
    Route::post('borrow/', [BorrowController::class, 'store'])->name('borrow.store')->middleware('is_admin');
    Route::get('borrow/{id}/edit', [BorrowController::class, 'edit'])->name('borrow.edit')->middleware('is_admin');
    Route::put('borrow/{id}', [BorrowController::class, 'update'])->name('borrow.update')->middleware('is_admin');
    Route::delete('borrow/{id}/{any}', [BorrowController::class, 'destroy'])->name('borrow.destroy')->middleware('is_admin');

    // booking admin
    Route::resource('adminbooking', AdminBookingController::class)->middleware('is_admin');
    Route::get('adminbooking/create/{id}', [AdminBookingController::class, 'create'])->name('adminbooking.create')->middleware('is_admin');

    //user
    Route::middleware('is_admin')->group(function() {
        Route::get('user/{any}', [UserController::class, 'index'])->name('user.index');
        Route::get('user/show/{id}', [UserController::class, 'show'])->name('user.show');
        Route::delete('user/{id}/{any}', [UserController::class, 'destroy'])->name('user.destroy');
        Route::put('user/{id}', [UserController::class, 'update'])->name('user.update');
    });
// admin end

Auth::routes();

resources/views/includes/admin/footer.blade.php
<!-- Footer -->
<footer class="sticky-footer bg-white">
    <div class="container my-auto">
        <div class="copyright text-center my-auto">
            <span>Copyright &copy; PerpustakaanXYZ 2022</span>
        </div>
    </div>
</footer>
<!-- End of Footer -->

resources/views/includes/admin/sidebar.blade.php
<!-- Sidebar -->
<ul class="navbar-nav bg-gradient-info sidebar sidebar-dark accordion" id="accordionSidebar">

    <!-- Sidebar - Brand -->
    <a class="sidebar-brand d-flex align-items-center justify-content-center" href="{{ route('dashboard') }}">
        <div class="sidebar-brand-text mx-3">Perpustakaan<sup>XYZ</sup></div>
    </a>

    <!-- Divider -->
    <hr class="sidebar-divider my-0">

    <!-- Nav Item - Dashboard -->
    <li class="nav-item {{ Request::is('dashboard*') ? 'active font-weight-bold' : '' }}">
        <a class="nav-link active" href="{{ route('dashboard') }}">
            <i class="fas fa-fw fa-tachometer-alt"></i>
            <span>Dashboard</span></a>
    </li>

    <!-- Divider -->
    <hr class="sidebar-divider">

    <!-- Heading -->
    <div class="sidebar-heading">
        Menu
    </div>

    <!-- Nav Item - booking admin -->
    <li class="nav-item {{ Request::is('adminbooking*') ? 'active font-weight-bold' : '' }}">
        <a class="nav-link" href="{{ route('adminbooking.index') }}">
            <i class="fas fa-fw fa-shopping-basket"></i>
            <span>Booking</span></a>
    </li>

    <!-- Nav Item - Buku -->
    <li class="nav-item {{ Request::is('book*') ? 'active font-weight-bold' : '' }}">
        <a class="nav-link active" href="{{ route('book.index') }}">
            <i class="fas fa-fw fa-book"></i>
            <span>Buku</span></a>
    </li>

    <!-- Nav Item - Kategori -->
    <li class="nav-item {{ Request::is('category*') ? 'active font-weight-bold' : '' }}">
        <a class="nav-link" href="{{ route('category.index') }}">
            <i class="fas fa-fw fa-list"></i>
            <span>Kategori</span></a>
    </li>

    <!-- Nav Item - Mahasiswa -->
    <li class="nav-item {{ Request::is('user*') ? 'active font-weight-bold' : '' }}">
        <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#mahasiswa" aria-expanded="true"
            aria-controls="mahasiswa">
            <i class="fas fa-fw fa-graduation-cap"></i>
            <span>Mahasiswa</span>
        </a>
        <div id="mahasiswa" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionSidebar">
            <div class="bg-white py-2 collapse-inner rounded">
                <h6 class="collapse-header">Mahasiswa:</h6>
                <a class="collapse-item" href="{{ route('user.index', $isConfirmation='0') }}">Butuh Konfirmasi</a>
                <a class="collapse-item" href="{{ route('user.index', $isConfirmation='1') }}">Daftar Mahasiswa</a>
            </div>
        </div>
    </li>

    <!-- Nav Item - Peminjaman -->
    <li class="nav-item {{ Request::is('borrow*') ? 'active font-weight-bold' : '' }}">
        <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#peminjaman" aria-expanded="true"
            aria-controls="peminjaman">
            <i class="fas fa-fw fa-handshake"></i>
            <span>Peminjaman</span>
        </a>
        <div id="peminjaman" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionSidebar">
            <div class="bg-white py-2 collapse-inner rounded">
                <h6 class="collapse-header">Peminjaman:</h6>
                <a class="collapse-item" href="{{ route('borrow.index', $isFinish='0') }}">Dalam Pinjaman</a>
                <a class="collapse-item" href="{{ route('borrow.index', $isFinish='1') }}">Riwayat Pinjaman</a>
            </div>
        </div>
    </li>

    <!-- Divider -->
    <hr class="sidebar-divider d-none d-md-block">

    <!-- Sidebar Toggler (Sidebar) -->
    <div class="text-center d-none d-md-inline">
        <button class="rounded-circle border-0" id="sidebarToggle"></button>
    </div>

</ul>
<!-- End of Sidebar -->

resources/views/includes/admin/topbar.blade.php
<!-- Topbar -->
<nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

    <!-- Sidebar Toggle (Topbar) -->
    <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
        <i class="fa fa-bars"></i>
    </button>

    <!-- Topbar Navbar -->
    <ul class="navbar-nav ml-auto">

        <div class="topbar-divider d-none d-sm-block"></div>

        <!-- Nav Item - User Information -->
        <li class="nav-item dropdown no-arrow">
            <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown"
                aria-haspopup="true" aria-expanded="false">
                <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{ Auth::user()->name }}</span>
                <i class="fas fa-user-cog"></i>
            </a>
            <!-- Dropdown - User Information -->
            <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in" aria-labelledby="userDropdown">
                <a class="dropdown-item" data-toggle="modal" data-target="#logoutModal">
                    <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                    {{ __('Logout') }}
                </a>
            </div>
        </li>

    </ul>

</nav>
<!-- End of Topbar -->